Bug 1438092 - [Regression] Azure provider refresh fails
Summary: [Regression] Azure provider refresh fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Daniel Berger
QA Contact: Nandini Chandra
URL:
Whiteboard: azure:refresh
Depends On: 1434988
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-31 21:56 UTC by Satoe Imaishi
Modified: 2017-05-31 14:45 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1434988
Environment:
Last Closed: 2017-05-31 14:45:26 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-03-31 22:08:13 UTC
New commit detected on ManageIQ/manageiq-providers-azure/fine:
https://github.com/ManageIQ/manageiq-providers-azure/commit/052a5f6f9b9dd7eb17bac1097a016776f3778e21

commit 052a5f6f9b9dd7eb17bac1097a016776f3778e21
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Fri Mar 31 16:34:09 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 31 18:06:23 2017 -0400

    Merge pull request #42 from djberg96/armrest_version
    
    Update armrest version to 0.7.0
    (cherry picked from commit c318b5deb87c8f114921bbdd8d84c2abcfb19dd5)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1438092

 manageiq-providers-azure.gemspec                   |    2 +-
 .../azure/cloud_manager/refresher_spec.rb          |    6 +-
 .../discover/with_all_existing_records.yml         | 1906 ++++----
 .../discover/with_no_existing_records.yml          | 1976 ++++----
 .../discover/with_some_existing_records.yml        | 1940 ++++----
 .../cloud_manager/discover/with_the_same_name.yml  | 1976 ++++----
 .../with_the_same_name_and_backup_name.yml         | 1978 +++++----
 ..._name_backup_name_and_secondary_backup_name.yml | 1978 +++++----
 .../providers/azure/cloud_manager/refresher.yml    | 4696 +++++++++++++-------
 9 files changed, 9482 insertions(+), 6976 deletions(-)

Comment 3 CFME Bot 2017-03-31 22:08:18 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/aaee67427bce5ae3023827afe0e966bf38c7b2f0

commit aaee67427bce5ae3023827afe0e966bf38c7b2f0
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Fri Mar 31 13:40:44 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 31 18:03:47 2017 -0400

    Merge pull request #100 from djberg96/armrest_version
    
    Update the armrest version to 0.7.0.
    (cherry picked from commit eeb4a3e3ad4283968d3f1f0e70642c488d527a5c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1438092

 manageiq-gems-pending.gemspec | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 4 Nandini Chandra 2017-04-17 21:53:18 UTC
Verified in 5.8.0.10

Comment 6 errata-xmlrpc 2017-05-31 14:45:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.